Index: qrda/C0Q/trunk/kids/C0Q*1.0*3.DONTUSE
===================================================================
--- qrda/C0Q/trunk/kids/C0Q*1.0*3.DONTUSE	(revision 1489)
+++ qrda/C0Q/trunk/kids/C0Q*1.0*3.DONTUSE	(revision 1490)
@@ -1,4 +1,4 @@
-KIDS Distribution saved on Jul 17, 2012@14:03:59
-DFGHJKLDFGHJK
+KIDS Distribution saved on Jul 18, 2012@11:48:37
+SDFGHJKSDFGHJKL
 **KIDS**:C0Q*1.0*3^
 
@@ -6,5 +6,5 @@
 C0Q*1.0*3
 "BLD",7936,0)
-C0Q*1.0*3^QUALITY MEASURES^0^3120717^y
+C0Q*1.0*3^QUALITY MEASURES^0^3120718^y
 "BLD",7936,1,0)
 ^^5^5^3120713^
@@ -28,5 +28,5 @@
 
 "BLD",7936,6.3)
-4
+5
 "BLD",7936,"ABPKG")
 n
@@ -528,5 +528,5 @@
 discharge
 "DATA",1130580001.101,25,7)
-NQF0435^^^^
+NQF0435^^^^^^114^115
 "DATA",1130580001.101,26,0)
 MU HOS NQF 0436^^
@@ -542,5 +542,5 @@
 prescribed anticoagulation therapy at hospital discharge
 "DATA",1130580001.101,26,7)
-NQF0436^^^^
+NQF0436^^^^^^116^117
 "DATA",1130580001.101,27,0)
 MU HOS NQF 0437^^
@@ -558,5 +558,5 @@
 hospital within 3 hours of time last known well.
 "DATA",1130580001.101,27,7)
-NQF0437^^^^
+NQF0437^^^^^^119^118
 "DATA",1130580001.101,28,0)
 MU HOS NQF 0438^^
@@ -572,5 +572,5 @@
 end of hospital day 2.
 "DATA",1130580001.101,28,7)
-NQF0438^^^^
+NQF0438^^^^^^120^121
 "DATA",1130580001.101,29,0)
 MU HOS NQF 0439^^
@@ -588,5 +588,5 @@
 prescribed statin medication at hospital discharge
 "DATA",1130580001.101,29,7)
-NQF0439^^^^
+NQF0439^^^^^^122^123
 "DATA",1130580001.101,30,0)
 MU HOS NQF 0440^^
@@ -608,5 +608,5 @@
 stroke, and warning signs and symptoms of stroke.
 "DATA",1130580001.101,30,7)
-NQF0440^^^^
+NQF0440^^^^^^124^125
 "DATA",1130580001.101,31,0)
 MU HOS NQF 0441^^
@@ -622,5 +622,5 @@
 rehabilitation services.
 "DATA",1130580001.101,31,7)
-NQF0441^^^^
+NQF0441^^^^^^126^127
 "DATA",1130580001.101,32,0)
 MU HOS NQF 0371^^
@@ -1737,4 +1737,60 @@
 "FRV1",1130580001.101,"24,7",8,"F")
 ;PXRM(810.4,
+"FRV1",1130580001.101,"25,7",7)
+MU STK-2 NUMER RS
+"FRV1",1130580001.101,"25,7",7,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"25,7",8)
+MU STK-2 DENOM RS
+"FRV1",1130580001.101,"25,7",8,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"26,7",7)
+MU STK-3 NUMER RS
+"FRV1",1130580001.101,"26,7",7,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"26,7",8)
+MU STK-3 DENOM RS
+"FRV1",1130580001.101,"26,7",8,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"27,7",7)
+MU STK-4 NUMER RS
+"FRV1",1130580001.101,"27,7",7,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"27,7",8)
+MU STK-4 DENOM RS
+"FRV1",1130580001.101,"27,7",8,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"28,7",7)
+MU STK-5 NUMER RS
+"FRV1",1130580001.101,"28,7",7,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"28,7",8)
+MU STK-5 DENOM RS
+"FRV1",1130580001.101,"28,7",8,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"29,7",7)
+MU STK-6 NUMER RS
+"FRV1",1130580001.101,"29,7",7,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"29,7",8)
+MU STK-6 DENOM RS
+"FRV1",1130580001.101,"29,7",8,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"30,7",7)
+MU STK-8 NUMER RS
+"FRV1",1130580001.101,"30,7",7,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"30,7",8)
+MU STK-8 DENOM RS
+"FRV1",1130580001.101,"30,7",8,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"31,7",7)
+MU STK-10 NUMER RS
+"FRV1",1130580001.101,"31,7",7,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"31,7",8)
+MU STK-10 DENOM RS
+"FRV1",1130580001.101,"31,7",8,"F")
+;PXRM(810.4,
 "FRV1",1130580001.101,"40,7",7)
 MU NQF0013 HTN NUMER2 RS
@@ -1817,4 +1873,60 @@
 "FRV1K",1130580001.101,"24,7",8,1)
 MU ED-2 DENOM RS
+"FRV1K",1130580001.101,"25,7",7)
+B
+"FRV1K",1130580001.101,"25,7",7,1)
+MU STK-2 NUMER RS
+"FRV1K",1130580001.101,"25,7",8)
+B
+"FRV1K",1130580001.101,"25,7",8,1)
+MU STK-2 DENOM RS
+"FRV1K",1130580001.101,"26,7",7)
+B
+"FRV1K",1130580001.101,"26,7",7,1)
+MU STK-3 NUMER RS
+"FRV1K",1130580001.101,"26,7",8)
+B
+"FRV1K",1130580001.101,"26,7",8,1)
+MU STK-3 DENOM RS
+"FRV1K",1130580001.101,"27,7",7)
+B
+"FRV1K",1130580001.101,"27,7",7,1)
+MU STK-4 NUMER RS
+"FRV1K",1130580001.101,"27,7",8)
+B
+"FRV1K",1130580001.101,"27,7",8,1)
+MU STK-4 DENOM RS
+"FRV1K",1130580001.101,"28,7",7)
+B
+"FRV1K",1130580001.101,"28,7",7,1)
+MU STK-5 NUMER RS
+"FRV1K",1130580001.101,"28,7",8)
+B
+"FRV1K",1130580001.101,"28,7",8,1)
+MU STK-5 DENOM RS
+"FRV1K",1130580001.101,"29,7",7)
+B
+"FRV1K",1130580001.101,"29,7",7,1)
+MU STK-6 NUMER RS
+"FRV1K",1130580001.101,"29,7",8)
+B
+"FRV1K",1130580001.101,"29,7",8,1)
+MU STK-6 DENOM RS
+"FRV1K",1130580001.101,"30,7",7)
+B
+"FRV1K",1130580001.101,"30,7",7,1)
+MU STK-8 NUMER RS
+"FRV1K",1130580001.101,"30,7",8)
+B
+"FRV1K",1130580001.101,"30,7",8,1)
+MU STK-8 DENOM RS
+"FRV1K",1130580001.101,"31,7",7)
+B
+"FRV1K",1130580001.101,"31,7",7,1)
+MU STK-10 NUMER RS
+"FRV1K",1130580001.101,"31,7",8)
+B
+"FRV1K",1130580001.101,"31,7",8,1)
+MU STK-10 DENOM RS
 "FRV1K",1130580001.101,"40,7",7)
 B
@@ -1922,7 +2034,7 @@
 1.0^3120713^3120702^8
 "PKG",215,22,1,"PAH",1,0)
-3^3120717
+3^3120718
 "PKG",215,22,1,"PAH",1,1,0)
-^^5^5^3120717
+^^5^5^3120718
 "PKG",215,22,1,"PAH",1,1,1,0)
 Created by Sam Habiel on July 13th 2012 for distribution with WorldVistA 