Index: qrda/C0Q/trunk/kids/C0Q*1.0*3.DONTUSE
===================================================================
--- qrda/C0Q/trunk/kids/C0Q*1.0*3.DONTUSE	(revision 1490)
+++ qrda/C0Q/trunk/kids/C0Q*1.0*3.DONTUSE	(revision 1492)
@@ -1,4 +1,4 @@
-KIDS Distribution saved on Jul 18, 2012@11:48:37
-SDFGHJKSDFGHJKL
+KIDS Distribution saved on Jul 20, 2012@11:28:06
+DFGHNJMKFGHJK
 **KIDS**:C0Q*1.0*3^
 
@@ -6,5 +6,5 @@
 C0Q*1.0*3
 "BLD",7936,0)
-C0Q*1.0*3^QUALITY MEASURES^0^3120718^y
+C0Q*1.0*3^QUALITY MEASURES^0^3120720^y
 "BLD",7936,1,0)
 ^^5^5^3120713^
@@ -28,5 +28,5 @@
 
 "BLD",7936,6.3)
-5
+6
 "BLD",7936,"ABPKG")
 n
@@ -640,5 +640,5 @@
 the day of or the day after hospital admission.
 "DATA",1130580001.101,32,7)
-NQF0371^^^^
+NQF0371^^^^^^69^67
 "DATA",1130580001.101,33,0)
 MU HOS NQF 0372^^
@@ -660,5 +660,5 @@
 after ICU admission (or transfer).
 "DATA",1130580001.101,33,7)
-NQF0372^^^^
+NQF0372^^^^^^128^71
 "DATA",1130580001.101,34,0)
 MU HOS NQF 0373^^
@@ -686,5 +686,5 @@
 discharged on both medications.
 "DATA",1130580001.101,34,7)
-NQF0373^^^^
+NQF0373^^^^^^129^144
 "DATA",1130580001.101,35,0)
 MU HOS NQF 0374^^
@@ -716,5 +716,5 @@
 such as a nomogram or protocol
 "DATA",1130580001.101,35,7)
-NQF0374^^^^
+NQF0374^^^^^^145^146
 "DATA",1130580001.101,36,0)
 MU HOS NQF 0375^^
@@ -748,5 +748,5 @@
 reactions/interactions.
 "DATA",1130580001.101,36,7)
-NQF0375^^^^
+NQF0375^^^^^^147^156
 "DATA",1130580001.101,37,0)
 MU HOS NQF 0376^^
@@ -766,5 +766,5 @@
 diagnostic testing order date.
 "DATA",1130580001.101,37,7)
-NQF0376^^^^
+NQF0376^^^^^^158^162
 "DATA",1130580001.101,38,0)
 12^^
@@ -1793,4 +1793,52 @@
 "FRV1",1130580001.101,"31,7",8,"F")
 ;PXRM(810.4,
+"FRV1",1130580001.101,"32,7",7)
+MU VTE-1 NUMER RS
+"FRV1",1130580001.101,"32,7",7,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"32,7",8)
+MU VTE-1 DENOM RS
+"FRV1",1130580001.101,"32,7",8,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"33,7",7)
+MU VTE-2 NUMER RS
+"FRV1",1130580001.101,"33,7",7,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"33,7",8)
+MU VTE-2 DENOM RS
+"FRV1",1130580001.101,"33,7",8,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"34,7",7)
+MU VTE-3 NUMER RS
+"FRV1",1130580001.101,"34,7",7,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"34,7",8)
+MU VTE-3 DENOM RS
+"FRV1",1130580001.101,"34,7",8,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"35,7",7)
+MU VTE-4 NUMER RS
+"FRV1",1130580001.101,"35,7",7,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"35,7",8)
+MU VTE-4 DENOM RS
+"FRV1",1130580001.101,"35,7",8,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"36,7",7)
+MU VTE-5 NUMER RS
+"FRV1",1130580001.101,"36,7",7,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"36,7",8)
+MU VTE-5 DENOM RS
+"FRV1",1130580001.101,"36,7",8,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"37,7",7)
+MU VTE-6 NUMER RS
+"FRV1",1130580001.101,"37,7",7,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"37,7",8)
+MU VTE-6 DENOM RS
+"FRV1",1130580001.101,"37,7",8,"F")
+;PXRM(810.4,
 "FRV1",1130580001.101,"40,7",7)
 MU NQF0013 HTN NUMER2 RS
@@ -1929,4 +1977,52 @@
 "FRV1K",1130580001.101,"31,7",8,1)
 MU STK-10 DENOM RS
+"FRV1K",1130580001.101,"32,7",7)
+B
+"FRV1K",1130580001.101,"32,7",7,1)
+MU VTE-1 NUMER RS
+"FRV1K",1130580001.101,"32,7",8)
+B
+"FRV1K",1130580001.101,"32,7",8,1)
+MU VTE-1 DENOM RS
+"FRV1K",1130580001.101,"33,7",7)
+B
+"FRV1K",1130580001.101,"33,7",7,1)
+MU VTE-2 NUMER RS
+"FRV1K",1130580001.101,"33,7",8)
+B
+"FRV1K",1130580001.101,"33,7",8,1)
+MU VTE-2 DENOM RS
+"FRV1K",1130580001.101,"34,7",7)
+B
+"FRV1K",1130580001.101,"34,7",7,1)
+MU VTE-3 NUMER RS
+"FRV1K",1130580001.101,"34,7",8)
+B
+"FRV1K",1130580001.101,"34,7",8,1)
+MU VTE-3 DENOM RS
+"FRV1K",1130580001.101,"35,7",7)
+B
+"FRV1K",1130580001.101,"35,7",7,1)
+MU VTE-4 NUMER RS
+"FRV1K",1130580001.101,"35,7",8)
+B
+"FRV1K",1130580001.101,"35,7",8,1)
+MU VTE-4 DENOM RS
+"FRV1K",1130580001.101,"36,7",7)
+B
+"FRV1K",1130580001.101,"36,7",7,1)
+MU VTE-5 NUMER RS
+"FRV1K",1130580001.101,"36,7",8)
+B
+"FRV1K",1130580001.101,"36,7",8,1)
+MU VTE-5 DENOM RS
+"FRV1K",1130580001.101,"37,7",7)
+B
+"FRV1K",1130580001.101,"37,7",7,1)
+MU VTE-6 NUMER RS
+"FRV1K",1130580001.101,"37,7",8)
+B
+"FRV1K",1130580001.101,"37,7",8,1)
+MU VTE-6 DENOM RS
 "FRV1K",1130580001.101,"40,7",7)
 B
@@ -2034,7 +2130,7 @@
 1.0^3120713^3120702^8
 "PKG",215,22,1,"PAH",1,0)
-3^3120718
+3^3120720
 "PKG",215,22,1,"PAH",1,1,0)
-^^5^5^3120718
+^^5^5^3120720
 "PKG",215,22,1,"PAH",1,1,1,0)
 Created by Sam Habiel on July 13th 2012 for distribution with WorldVistA 