Index: qrda/C0Q/trunk/kids/C0Q*1.0*3.DONTUSE
===================================================================
--- qrda/C0Q/trunk/kids/C0Q*1.0*3.DONTUSE	(revision 1495)
+++ qrda/C0Q/trunk/kids/C0Q*1.0*3.DONTUSE	(revision 1497)
@@ -1,4 +1,4 @@
-KIDS Distribution saved on Jul 26, 2012@11:29:36
-DFGHJKL;
+KIDS Distribution saved on Jul 27, 2012@15:36:38
+SDFGHJKLXCVBNM,WERTYUI
 **KIDS**:C0Q*1.0*3^
 
@@ -6,5 +6,5 @@
 C0Q*1.0*3
 "BLD",7936,0)
-C0Q*1.0*3^QUALITY MEASURES^0^3120726^y
+C0Q*1.0*3^QUALITY MEASURES^0^3120727^y
 "BLD",7936,1,0)
 ^^5^5^3120713^
@@ -28,5 +28,5 @@
 
 "BLD",7936,6.3)
-7
+8
 "BLD",7936,"ABPKG")
 n
@@ -1580,5 +1580,5 @@
 NQF0038 NUM1 DPT
 "DATA",1130580001.101,83,7)
-NQF0038 NUM1 DPT^^^^
+NQF0038 NUM1 DPT^^^^^^329^192^11
 "DATA",1130580001.101,84,0)
 NQF0038 NUM2 IPV^^
@@ -1586,5 +1586,5 @@
 NQF0038 NUM2 IPV
 "DATA",1130580001.101,84,7)
-NQF0038 NUM2 IPV^^^^
+NQF0038 NUM2 IPV^^^^^^224^192^11
 "DATA",1130580001.101,85,0)
 NQF0038 NUM3 MMR^^
@@ -1592,5 +1592,5 @@
 NQF0038 NUM3 MMR
 "DATA",1130580001.101,85,7)
-NQF0038 NUM3 MMR^^^^
+NQF0038 NUM3 MMR^^^^^^183^192^11
 "DATA",1130580001.101,86,0)
 NQF0038 NUM4 HiB^^
@@ -1598,5 +1598,5 @@
 NQF0038 NUM4 HiB
 "DATA",1130580001.101,86,7)
-NQF0038 NUM4 HiB^^^^
+NQF0038 NUM4 HiB^^^^^^189^192^11
 "DATA",1130580001.101,87,0)
 NQF0038 NUM5 HEP B^^
@@ -1604,5 +1604,5 @@
 NQF0038 NUM5 HEP B
 "DATA",1130580001.101,87,7)
-NQF0038 NUM5 HEP B^^^^
+NQF0038 NUM5 HEP B^^^^^^194^192^11
 "DATA",1130580001.101,88,0)
 NQF0038 NUM6 VZV^^
@@ -1610,5 +1610,5 @@
 NQF0038 NUM6 VZV
 "DATA",1130580001.101,88,7)
-NQF0038 NUM6 VZV^^^^
+NQF0038 NUM6 VZV^^^^^^198^192^11
 "DATA",1130580001.101,89,0)
 NQF0038 NUM7 PCV^^
@@ -1616,5 +1616,5 @@
 NQF0038 NUM7 PCV
 "DATA",1130580001.101,89,7)
-NQF0038 NUM7 PCV^^^^
+NQF0038 NUM7 PCV^^^^^^205^192^11
 "DATA",1130580001.101,90,0)
 NQF0038 NUM8 HEP A^^
@@ -1622,5 +1622,5 @@
 NQF0038 NUM8 HEP A
 "DATA",1130580001.101,90,7)
-NQF0038 NUM8 HEP A^^^^
+NQF0038 NUM8 HEP A^^^^^^208^192^11
 "DATA",1130580001.101,91,0)
 NQF0038 NUM9^^
@@ -1628,5 +1628,5 @@
 NQF0038 NUM9
 "DATA",1130580001.101,91,7)
-NQF0038 NUM9^^^^
+NQF0038 NUM9^^^^^^216^192^11
 "DATA",1130580001.101,92,0)
 NQF0038 NUM10^^
@@ -1634,5 +1634,5 @@
 NQF0038 NUM10
 "DATA",1130580001.101,92,7)
-NQF0038 NUM10^^^^
+NQF0038 NUM10^^^^^^331^192^11
 "DATA",1130580001.101,93,0)
 NQF0038 NUM11 COMBO5^^
@@ -1640,5 +1640,5 @@
 NQF0038 NUM11 COMBO5
 "DATA",1130580001.101,93,7)
-NQF0038 NUM11 COMBO5^^^^
+NQF0038 NUM11 COMBO5^^^^^^228^192^11
 "DATA",1130580001.101,94,0)
 NQF0038 NUM12 COMBO6^^
@@ -1646,5 +1646,5 @@
 NQF0038 NUM12 COMBO6
 "DATA",1130580001.101,94,7)
-NQF0038 NUM12 COMBO6^^^^
+NQF0038 NUM12 COMBO6^^^^^^231^192^11
 "DATA",1130580001.101,95,0)
 MU 2011 INP ADV DIRECTIVES^^
@@ -1917,4 +1917,148 @@
 "FRV1",1130580001.101,"81,7",8,"F")
 ;PXRM(810.4,
+"FRV1",1130580001.101,"83,7",7)
+MU NQF0038 NUM1 DPT RS
+"FRV1",1130580001.101,"83,7",7,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"83,7",8)
+MU NQF0038 DENOM RS
+"FRV1",1130580001.101,"83,7",8,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"83,7",9)
+MU NQF0038 CHILDREN'S IMMUNIZATIONS
+"FRV1",1130580001.101,"83,7",9,"F")
+;PXRM(810.2,
+"FRV1",1130580001.101,"84,7",7)
+MU NQF0038 NUM2 IPV RS
+"FRV1",1130580001.101,"84,7",7,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"84,7",8)
+MU NQF0038 DENOM RS
+"FRV1",1130580001.101,"84,7",8,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"84,7",9)
+MU NQF0038 CHILDREN'S IMMUNIZATIONS
+"FRV1",1130580001.101,"84,7",9,"F")
+;PXRM(810.2,
+"FRV1",1130580001.101,"85,7",7)
+MU NQF0038 NUM3-ALL RS
+"FRV1",1130580001.101,"85,7",7,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"85,7",8)
+MU NQF0038 DENOM RS
+"FRV1",1130580001.101,"85,7",8,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"85,7",9)
+MU NQF0038 CHILDREN'S IMMUNIZATIONS
+"FRV1",1130580001.101,"85,7",9,"F")
+;PXRM(810.2,
+"FRV1",1130580001.101,"86,7",7)
+MU NQF0038 NUM4 HIB RS
+"FRV1",1130580001.101,"86,7",7,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"86,7",8)
+MU NQF0038 DENOM RS
+"FRV1",1130580001.101,"86,7",8,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"86,7",9)
+MU NQF0038 CHILDREN'S IMMUNIZATIONS
+"FRV1",1130580001.101,"86,7",9,"F")
+;PXRM(810.2,
+"FRV1",1130580001.101,"87,7",7)
+MU NQF0038 NUM5 RS
+"FRV1",1130580001.101,"87,7",7,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"87,7",8)
+MU NQF0038 DENOM RS
+"FRV1",1130580001.101,"87,7",8,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"87,7",9)
+MU NQF0038 CHILDREN'S IMMUNIZATIONS
+"FRV1",1130580001.101,"87,7",9,"F")
+;PXRM(810.2,
+"FRV1",1130580001.101,"88,7",7)
+MU NQF0038 NUM6 VZV RS
+"FRV1",1130580001.101,"88,7",7,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"88,7",8)
+MU NQF0038 DENOM RS
+"FRV1",1130580001.101,"88,7",8,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"88,7",9)
+MU NQF0038 CHILDREN'S IMMUNIZATIONS
+"FRV1",1130580001.101,"88,7",9,"F")
+;PXRM(810.2,
+"FRV1",1130580001.101,"89,7",7)
+MU NQF0038 NUM7 PCV RS
+"FRV1",1130580001.101,"89,7",7,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"89,7",8)
+MU NQF0038 DENOM RS
+"FRV1",1130580001.101,"89,7",8,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"89,7",9)
+MU NQF0038 CHILDREN'S IMMUNIZATIONS
+"FRV1",1130580001.101,"89,7",9,"F")
+;PXRM(810.2,
+"FRV1",1130580001.101,"90,7",7)
+MU NQF0038 NUM8 HEP A RS
+"FRV1",1130580001.101,"90,7",7,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"90,7",8)
+MU NQF0038 DENOM RS
+"FRV1",1130580001.101,"90,7",8,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"90,7",9)
+MU NQF0038 CHILDREN'S IMMUNIZATIONS
+"FRV1",1130580001.101,"90,7",9,"F")
+;PXRM(810.2,
+"FRV1",1130580001.101,"91,7",7)
+MU NQF0038 NUM9 RV RS
+"FRV1",1130580001.101,"91,7",7,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"91,7",8)
+MU NQF0038 DENOM RS
+"FRV1",1130580001.101,"91,7",8,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"91,7",9)
+MU NQF0038 CHILDREN'S IMMUNIZATIONS
+"FRV1",1130580001.101,"91,7",9,"F")
+;PXRM(810.2,
+"FRV1",1130580001.101,"92,7",7)
+MU NQF0038 NUM10 INFLUENZA RS
+"FRV1",1130580001.101,"92,7",7,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"92,7",8)
+MU NQF0038 DENOM RS
+"FRV1",1130580001.101,"92,7",8,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"92,7",9)
+MU NQF0038 CHILDREN'S IMMUNIZATIONS
+"FRV1",1130580001.101,"92,7",9,"F")
+;PXRM(810.2,
+"FRV1",1130580001.101,"93,7",7)
+MU NQF0038 NUM11 COMBO5 RS
+"FRV1",1130580001.101,"93,7",7,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"93,7",8)
+MU NQF0038 DENOM RS
+"FRV1",1130580001.101,"93,7",8,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"93,7",9)
+MU NQF0038 CHILDREN'S IMMUNIZATIONS
+"FRV1",1130580001.101,"93,7",9,"F")
+;PXRM(810.2,
+"FRV1",1130580001.101,"94,7",7)
+MU NQF0038 NUM12 COMBO6 RS
+"FRV1",1130580001.101,"94,7",7,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"94,7",8)
+MU NQF0038 DENOM RS
+"FRV1",1130580001.101,"94,7",8,"F")
+;PXRM(810.4,
+"FRV1",1130580001.101,"94,7",9)
+MU NQF0038 CHILDREN'S IMMUNIZATIONS
+"FRV1",1130580001.101,"94,7",9,"F")
+;PXRM(810.2,
 "FRV1K",1130580001.101,"23,7",7)
 B
@@ -2113,4 +2257,148 @@
 "FRV1K",1130580001.101,"81,7",8,1)
 MU NQF0028B TOBACCO INTERV DENOM RS
+"FRV1K",1130580001.101,"83,7",7)
+B
+"FRV1K",1130580001.101,"83,7",7,1)
+MU NQF0038 NUM1 DPT RS
+"FRV1K",1130580001.101,"83,7",8)
+B
+"FRV1K",1130580001.101,"83,7",8,1)
+MU NQF0038 DENOM RS
+"FRV1K",1130580001.101,"83,7",9)
+B
+"FRV1K",1130580001.101,"83,7",9,1)
+MU NQF0038 CHILDREN'S IMMUNIZATIONS
+"FRV1K",1130580001.101,"84,7",7)
+B
+"FRV1K",1130580001.101,"84,7",7,1)
+MU NQF0038 NUM2 IPV RS
+"FRV1K",1130580001.101,"84,7",8)
+B
+"FRV1K",1130580001.101,"84,7",8,1)
+MU NQF0038 DENOM RS
+"FRV1K",1130580001.101,"84,7",9)
+B
+"FRV1K",1130580001.101,"84,7",9,1)
+MU NQF0038 CHILDREN'S IMMUNIZATIONS
+"FRV1K",1130580001.101,"85,7",7)
+B
+"FRV1K",1130580001.101,"85,7",7,1)
+MU NQF0038 NUM3-ALL RS
+"FRV1K",1130580001.101,"85,7",8)
+B
+"FRV1K",1130580001.101,"85,7",8,1)
+MU NQF0038 DENOM RS
+"FRV1K",1130580001.101,"85,7",9)
+B
+"FRV1K",1130580001.101,"85,7",9,1)
+MU NQF0038 CHILDREN'S IMMUNIZATIONS
+"FRV1K",1130580001.101,"86,7",7)
+B
+"FRV1K",1130580001.101,"86,7",7,1)
+MU NQF0038 NUM4 HIB RS
+"FRV1K",1130580001.101,"86,7",8)
+B
+"FRV1K",1130580001.101,"86,7",8,1)
+MU NQF0038 DENOM RS
+"FRV1K",1130580001.101,"86,7",9)
+B
+"FRV1K",1130580001.101,"86,7",9,1)
+MU NQF0038 CHILDREN'S IMMUNIZATIONS
+"FRV1K",1130580001.101,"87,7",7)
+B
+"FRV1K",1130580001.101,"87,7",7,1)
+MU NQF0038 NUM5 RS
+"FRV1K",1130580001.101,"87,7",8)
+B
+"FRV1K",1130580001.101,"87,7",8,1)
+MU NQF0038 DENOM RS
+"FRV1K",1130580001.101,"87,7",9)
+B
+"FRV1K",1130580001.101,"87,7",9,1)
+MU NQF0038 CHILDREN'S IMMUNIZATIONS
+"FRV1K",1130580001.101,"88,7",7)
+B
+"FRV1K",1130580001.101,"88,7",7,1)
+MU NQF0038 NUM6 VZV RS
+"FRV1K",1130580001.101,"88,7",8)
+B
+"FRV1K",1130580001.101,"88,7",8,1)
+MU NQF0038 DENOM RS
+"FRV1K",1130580001.101,"88,7",9)
+B
+"FRV1K",1130580001.101,"88,7",9,1)
+MU NQF0038 CHILDREN'S IMMUNIZATIONS
+"FRV1K",1130580001.101,"89,7",7)
+B
+"FRV1K",1130580001.101,"89,7",7,1)
+MU NQF0038 NUM7 PCV RS
+"FRV1K",1130580001.101,"89,7",8)
+B
+"FRV1K",1130580001.101,"89,7",8,1)
+MU NQF0038 DENOM RS
+"FRV1K",1130580001.101,"89,7",9)
+B
+"FRV1K",1130580001.101,"89,7",9,1)
+MU NQF0038 CHILDREN'S IMMUNIZATIONS
+"FRV1K",1130580001.101,"90,7",7)
+B
+"FRV1K",1130580001.101,"90,7",7,1)
+MU NQF0038 NUM8 HEP A RS
+"FRV1K",1130580001.101,"90,7",8)
+B
+"FRV1K",1130580001.101,"90,7",8,1)
+MU NQF0038 DENOM RS
+"FRV1K",1130580001.101,"90,7",9)
+B
+"FRV1K",1130580001.101,"90,7",9,1)
+MU NQF0038 CHILDREN'S IMMUNIZATIONS
+"FRV1K",1130580001.101,"91,7",7)
+B
+"FRV1K",1130580001.101,"91,7",7,1)
+MU NQF0038 NUM9 RV RS
+"FRV1K",1130580001.101,"91,7",8)
+B
+"FRV1K",1130580001.101,"91,7",8,1)
+MU NQF0038 DENOM RS
+"FRV1K",1130580001.101,"91,7",9)
+B
+"FRV1K",1130580001.101,"91,7",9,1)
+MU NQF0038 CHILDREN'S IMMUNIZATIONS
+"FRV1K",1130580001.101,"92,7",7)
+B
+"FRV1K",1130580001.101,"92,7",7,1)
+MU NQF0038 NUM10 INFLUENZA RS
+"FRV1K",1130580001.101,"92,7",8)
+B
+"FRV1K",1130580001.101,"92,7",8,1)
+MU NQF0038 DENOM RS
+"FRV1K",1130580001.101,"92,7",9)
+B
+"FRV1K",1130580001.101,"92,7",9,1)
+MU NQF0038 CHILDREN'S IMMUNIZATIONS
+"FRV1K",1130580001.101,"93,7",7)
+B
+"FRV1K",1130580001.101,"93,7",7,1)
+MU NQF0038 NUM11 COMBO5 RS
+"FRV1K",1130580001.101,"93,7",8)
+B
+"FRV1K",1130580001.101,"93,7",8,1)
+MU NQF0038 DENOM RS
+"FRV1K",1130580001.101,"93,7",9)
+B
+"FRV1K",1130580001.101,"93,7",9,1)
+MU NQF0038 CHILDREN'S IMMUNIZATIONS
+"FRV1K",1130580001.101,"94,7",7)
+B
+"FRV1K",1130580001.101,"94,7",7,1)
+MU NQF0038 NUM12 COMBO6 RS
+"FRV1K",1130580001.101,"94,7",8)
+B
+"FRV1K",1130580001.101,"94,7",8,1)
+MU NQF0038 DENOM RS
+"FRV1K",1130580001.101,"94,7",9)
+B
+"FRV1K",1130580001.101,"94,7",9,1)
+MU NQF0038 CHILDREN'S IMMUNIZATIONS
 "IX",1130580001.101,1130580001.101,"MU",0)
 1130580001.101^MU^MEANINGFUL USE YEAR KEY^R^^F^IR^I^1130580001.101^^^^^LS
@@ -2156,7 +2444,7 @@
 1.0^3120713^3120702^8
 "PKG",215,22,1,"PAH",1,0)
-3^3120726
+3^3120727
 "PKG",215,22,1,"PAH",1,1,0)
-^^5^5^3120726
+^^5^5^3120727
 "PKG",215,22,1,"PAH",1,1,1,0)
 Created by Sam Habiel on July 13th 2012 for distribution with WorldVistA 
@@ -2402,5 +2690,5 @@
 Select a Reminder Extract Definition for this measure
 "^DD",1130580001.101,1130580001.101,2.5,21,0)
-^^3^3^3120726^
+^^4^4^3120726^
 "^DD",1130580001.101,1130580001.101,2.5,21,1,0)
 If this measure depends upon a reminder extract definition, you can add 
@@ -2408,5 +2696,7 @@
 this extract definition here. This will alter how the Quality Measures 
 "^DD",1130580001.101,1130580001.101,2.5,21,3,0)
-package computes the measure.
+package computes the measure to use the extract in addition and prior to
+"^DD",1130580001.101,1130580001.101,2.5,21,4,0)
+the rule sets.
 "^DD",1130580001.101,1130580001.101,2.5,"DT")
 3120726